from typing import List
from app import models, schemas
from sqlalchemy.orm import Session
import time

from app.core.airflow.job import AirflowJobSubmitter


def create_airflow_job(db: Session, item: schemas.AirflowJobCreate):
    db_item = models.AirflowJob(**item.dict(), **{"create_time": int(time.time()), "update_time": int(time.time())})
    db.add(db_item)
    db.commit()
    db.refresh(db_item)
    return db_item


def get_airflow_jobs(db: Session):
    res: List[models.AirflowJob] = db.query(models.AirflowJob).all()
    return res


def get_airflow_job_once(db: Session, id: int):
    res: models.AirflowJob = db.query(models.AirflowJob).filter(models.AirflowJob.id == id).first()
    return res


def create_airflow_job_submit(item: schemas.AirflowJob):
    AirflowJobSubmitter.submit_dag(item)
