from typing import List
from app import models, schemas
from sqlalchemy.orm import Session
import time


def create_airflow_task(db: Session, item: schemas.AirflowTaskCreate):
    db_item = models.AirflowTask(**item.dict(), **{"create_time": int(time.time()), "update_time": int(time.time())})
    db.add(db_item)
    db.commit()
    db.refresh(db_item)
    return db_item


def get_airflow_tasks(db: Session):
    res: List[models.AirflowTask] = db.query(models.AirflowTask).all()
    return res


def get_airflow_task_once(db: Session, id: int):
    res: models.AirflowTask = db.query(models.AirflowTask).filter(models.AirflowTask.id == id).first()
    return res
