from typing import Optional
from fastapi import APIRouter

from fastapi import Depends
from sqlalchemy.orm import Session
from app import schemas

import app.crud as crud
from utils.sx_time import sxtimeit
from utils.sx_web import web_try
from fastapi_pagination import Page, add_pagination, paginate, Params

from app import get_db

router = APIRouter(
    prefix="/jpt/joblog",
    tags=["joblog-日志管理"],
)


@router.post("/")
@web_try()
@sxtimeit
def create_job_log(item: schemas.JobLogCreate, db: Session = Depends(get_db)):
    return crud.create_job_log(db, item)


@router.get("/")
@web_try()
@sxtimeit
def get_job_logs(params: Params = Depends(), db: Session = Depends(get_db)):
    return paginate(crud.get_job_logs(db), params)


@router.get("/getOnce/{id}")
@web_try()
@sxtimeit
def get_job_logs_once(id: int, db: Session = Depends(get_db)):
    return crud.get_job_log_once(db, id)
